# -----------------------------
# q2pro makefile by [SkulleR]
# -----------------------------

ifeq (win32,$(TARGETOS))
CFLAGS+=$(CFLAGS_WIN32)
LDFLAGS+=$(LDFLAGS_WIN32)
VPATH+=$(VPATH_WIN32)
SRCFILES+=$(SRCFILES_WIN32)
ASMFILES+=$(ASMFILES_WIN32)
else
CFLAGS+=$(CFLAGS_LINUX)
LDFLAGS+=$(LDFLAGS_LINUX)
VPATH+=$(VPATH_LINUX)
SRCFILES+=$(SRCFILES_LINUX)
ASMFILES+=$(ASMFILES_LINUX)
endif

OBJFILES+=$(SRCFILES:%.c=%.o)
OBJFILES+=$(ASMFILES:%.s=%.o)
ifeq (win32,$(TARGETOS))
OBJFILES+=$(RESFILES_WIN32:%.rc=%.o)
endif

default: $(TARGET)

clean:
	@rm -f *.d
	@rm -f *.o
	@rm -f $(TARGET)
	
.PHONY: clean

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<
	
%.o: %.s
	$(CC) $(CFLAGS) -x assembler-with-cpp -c -o $@ $<

ifeq (win32,$(TARGETOS))
%.o: %.rc
	$(WINDRES) $(RESFLAGS_WIN32) -o $@ $<
endif

$(TARGET): $(OBJFILES)
	$(CC) -o $@ $^ $(LDFLAGS)

-include *.d
