# -----------------------------
# q2pro makefile by [SkulleR]
# -----------------------------

include ../../detect.mk

ifdef build-prefix
CC=$(build-prefix)-gcc
WINDRES=$(build-prefix)-windres
else
CC?=gcc
WINDRES?=windres
endif

INSTALLDIR=$(CURDIR)/../../..
OUTPUTDIR=$(CURDIR)/..
INCLUDEDIR=$(INSTALLDIR)/include

VPATH=$(INSTALLDIR)/asm \
	$(INSTALLDIR)/shared \
	$(INSTALLDIR)/source

ifdef debug
CFLAGS+=-g 
LDFLAGS+=-g
else
#CFLAGS += -march=i686 -msse2 -mfpmath=sse -O2 -fno-strict-aliasing -DNDEBUG
CFLAGS+=-ffloat-store -O2 -fno-strict-aliasing -DNDEBUG
LDFLAGS+=-s
endif

CFLAGS+=-I$(INCLUDEDIR) \
	-MF $*.d -MMD \
	-Wall \
	-Wno-missing-braces \
	-Wstrict-prototypes \
	-pipe

CFLAGS_SDL=$(shell sdl-config --cflags)
CFLAGS_LUA=$(shell pkg-config --cflags lua5.1)
LDFLAGS_SDL=$(shell sdl-config --libs)
LDFLAGS_LUA=$(shell pkg-config --libs lua5.1)

CFLAGS_WIN32=-mno-cygwin -I$(INSTALLDIR)/win32-libs-mgw/include
LDFLAGS_WIN32=-mno-cygwin -L$(INSTALLDIR)/win32-libs-mgw/lib
RESFLAGS_WIN32=--include-dir=$(INCLUDEDIR)
SRCFILES_WIN32=#blank
ASMFILES_WIN32=#blank
VPATH_WIN32=$(RCDIR)

DATADIR?=/usr/share/games/quake2
LIBDIR?=/usr/lib/games/quake2
CFLAGS_LINUX=-DDATADIR='"$(DATADIR)"' -DLIBDIR='"$(LIBDIR)"'
LDFLAGS_LINUX=#blank
SRCFILES_LINUX=#blank
ASMFILES_LINUX=#blank

