# -----------------------------
# q2pro makefile by [SkulleR]
# -----------------------------

include ../../pre.mk

TARGET = $(OUTPUTDIR)/ref_soft$(SHLIBEXT)

VPATH += $(INSTALLDIR)/ref_soft \
	 $(INSTALLDIR)/ref_shared

LDFLAGS += -lm -shared
CFLAGS += -DSOFTWARE_RENDERER

LDFLAGS_LINUX += -fPIC
CFLAGS_LINUX += -fPIC

CFLAGS_WIN32 += -DUNDERSCORES

ifeq (win32,$(TARGETOS))
OBJFILES += ref_soft.def
endif

SRCFILES = q_shared.c \
	   q_list.c \
	   sw_aclip.c  \
	   sw_alias.c  \
	   sw_bsp.c    \
	   sw_draw.c   \
	   sw_edge.c   \
	   sw_image.c  \
	   sw_light.c  \
	   sw_main.c   \
	   sw_misc.c   \
	   sw_model.c  \
	   sw_part.c   \
	   sw_poly.c   \
	   sw_polyse.c \
	   sw_rast.c   \
	   sw_scan.c   \
	   sw_sprite.c \
	   sw_surf.c   \
	   sw_sird.c   \
	   r_images.c

ASMFILES = r_aclipa.s \
		 r_draw16.s \
		 r_drawa.s  \
		 r_edgea.s  \
		 r_scana.s  \
		 r_spr8.s   \
		 r_surf8.s  \
		 r_varsa.s  \
		 d_polysa.s \
		 sys_dosa.s
		 		 
RESFILES += ref_soft.rc

SRCFILES_WIN32 = q_shwin.c
SRCFILES_LINUX = q_shunix.c

include ../../post.mk

ref_soft.o: $(INCLUDEDIR)/version.h

